Subject: [PATCH v3 1/3] clk: ti: am335x/am4372: Add tbclk to pwm node

From: [email-masked] (Tero Kristo)
Date: Mon, 21 Mar 2016 21:34:23 +0200

On 03/21/2016 08:43 PM, Stephen Boyd wrote:
> On 03/17, Franklin S Cooper Jr wrote:
>> Add tblck to the pwm nodes. This insures that the ehrpwm driver has access
>> to the time-based clk.
>>
>> Do not remove similar entries for ehrpwm node. Later patches will switch
>> from using ehrpwm node name to pwm. But to maintain ABI compatibility we
>> shouldn't remove the old entries.
>>
>> Signed-off-by: Franklin S Cooper Jr <[email-masked]>
>> ---
>
> Acked-by: Stephen Boyd <[email-masked]>
>
> Are there any plans to get off these DT_CLK entries entirely?

The series that adds support for the hwmod clock type for OMAPs has a 
support patch that should address this problem at least partially; I am 
planning to post next rev of that set soonish. It should allow getting 
rid of majority of the clock aliases, I will remove any aliases I can at 
the same time.

-Tero